<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFormSetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('form_sets', function (Blueprint $table) {
            $table->increments('id');
            $table->tinyInteger('mode')->nullable()->default(1)->comment('模板样式：1样式1；2样式2');
            $table->tinyInteger('show_below_index')->nullable()->default(1)->comment('是否显示在首页下方：1是；2否');
            $table->string('top_title', 200)->nullable()->comment('表单上方标题');
            $table->string('top_image', 200)->nullable()->comment('表单上方图片');
            $table->string('top_desp', 200)->nullable()->comment('表单上方文字说明');
            $table->string('interval', 200)->nullable()->default(1)->comment('表单提交时间间隔');
            $table->string('success_info', 200)->nullable()->comment('提交成功后的提示');
            $table->string('text_1', 200)->nullable()->comment('第一行文本框');
            $table->tinyInteger('text_1_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('text_1_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->string('text_2', 200)->nullable()->comment('第二行文本框');
            $table->tinyInteger('text_2_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('text_2_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->string('text_3', 200)->nullable()->comment('第三行文本框');
            $table->tinyInteger('text_3_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('text_3_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->string('text_4', 200)->nullable()->comment('第四行文本框');
            $table->tinyInteger('text_4_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('text_4_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->text('multi_text')->nullable()->comment('多行文本框');
            $table->tinyInteger('multi_text_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('multi_text_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->string('radio', 200)->nullable()->comment('单选框标题');
            $table->string('radio_value', 200)->nullable()->comment('单选框值');
            $table->tinyInteger('radio_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('radio_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->string('checkbox', 200)->nullable()->comment('复选框标题');
            $table->string('checkbox_value', 200)->nullable()->comment('复选框值');
            $table->tinyInteger('checkbox_status')->nullable()->default(1)->comment('是否使用：1使用；2禁用');
            $table->tinyInteger('checkbox_need')->nullable()->default(1)->comment('是否必填：1必填；2选填');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('form_sets');
    }
}
